Summary: An op5 Monitor plugin to monitor if there are any new pkgs in yum
Name: monitor-plugin-check_yum_update
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: op5/system-addons
URL: https://www.itrsgroup.com
Source0: %name-%version.tar.gz
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
BuildRequires: perl
Requires: perl
Requires: yum

%description
This plugin is used to monitor if there are any new packages in your
yum reops to be installed.

%prep
%setup -q

%build
# Replace yum with dnf for RHEL >= 8
%if %{?rhel} >= 8
%__perl -i -p -e 'm/^use constant\s+YUM_BINARY/ && s/yum/dnf/' check_yum_update.pl
%endif

%install
%__install -D check_yum_update.pl %buildroot/%prefix/check_yum_update.pl

ln -s check_yum_update.pl %buildroot%prefix/check_yum_update
%if %{?rhel} >= 8
ln -s check_yum_update.pl %buildroot%prefix/check_dnf_update
%endif

%clean
rm -rf %buildroot

%files
%prefix/*
%license LICENSE

%changelog
* Tue Jun 4 2013 Martin Kamijo <mk@op5.com>
Inital commit of the plugins
